Get the reindex status

Base URL
https://{kibana_url}
  • GET /api/upgrade_assistant/reindex/{index}
Auth

Check the status of the reindex task.

Path parameters

index string required

The name of the index that is reindexing.

Response

Indicates a successful call.

application/json
hasRequiredPrivileges boolean

Specifies whether the user has sufficient privileges to reindex this index. When security is unavailable or disabled, it is true.

warnings unknown[]

An array of any warning codes that explain what changes are required for this reindex. For example:

  • 0 specifies to remove the _all meta field. - 1 specifies to convert any coerced boolean values in the source document. For example, yes, 1, and off. - 2 specifies to convert documents to support Elastic Common Schema. Applies only to APM indices created in 6.x.
Base URL
https://{kibana_url}